%define pypi_name tls-parser
%define srcname tls_parser

Name:       python-%{pypi_name}
Version:    2.0.0
Release:    %mkrel 6
Summary:    Small library to parse TLS records
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/tls-parser
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Small library to parse TLS records; used by SSLyze.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small library to parse TLS records; used by SSLyze.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tls_parser

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-6.mga10
+ Revision: 2239248
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.0.0-5.mga10
+ Revision: 2156038
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 2.0.0-4.mga10
+ Revision: 2018374
- rebuild for python 3.12

* Sun Oct 09 2022 guillomovitch <guillomovitch> 2.0.0-3.mga9
+ Revision: 1895689
+ rebuild (emptylog)

* Wed Mar 23 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1823224
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 2.0.0-1.mga9
+ Revision: 1781559
- version 2.0.0
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.2.2-2.mga9
+ Revision: 1705081
- rebuild for python 3.9

* Fri Dec 25 2020 guillomovitch <guillomovitch> 1.2.2-1.mga8
+ Revision: 1663591
- imported package python-tls-parser

